curl -X GET https://api.chessplay.io/api/v1/classrooms/1/ \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN"
import requests
headers = {"Authorization": "Bearer YOUR_ACCESS_TOKEN"}
response = requests.get(
"https://api.chessplay.io/api/v1/classrooms/1/",
headers=headers
)
classroom = response.json()
const response = await fetch('https://api.chessplay.io/api/v1/classrooms/1/', {
headers: { 'Authorization': 'Bearer YOUR_ACCESS_TOKEN' }
});
const classroom = await response.json();
{
"id": 1,
"name": "Beginner Chess",
"description": "Introduction to chess",
"coach": {...},
"students": [...],
"start_time": "2024-01-20T10:00:00Z",
"end_time": "2024-01-20T11:00:00Z",
"created": "2024-01-15T10:30:00Z"
}
Classrooms
Get Classroom
Retrieve a specific classroom
GET
/
api
/
v1
/
classrooms
/
{id}
/
curl -X GET https://api.chessplay.io/api/v1/classrooms/1/ \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN"
import requests
headers = {"Authorization": "Bearer YOUR_ACCESS_TOKEN"}
response = requests.get(
"https://api.chessplay.io/api/v1/classrooms/1/",
headers=headers
)
classroom = response.json()
const response = await fetch('https://api.chessplay.io/api/v1/classrooms/1/', {
headers: { 'Authorization': 'Bearer YOUR_ACCESS_TOKEN' }
});
const classroom = await response.json();
{
"id": 1,
"name": "Beginner Chess",
"description": "Introduction to chess",
"coach": {...},
"students": [...],
"start_time": "2024-01-20T10:00:00Z",
"end_time": "2024-01-20T11:00:00Z",
"created": "2024-01-15T10:30:00Z"
}
Path Parameters
integer
required
Classroom ID
curl -X GET https://api.chessplay.io/api/v1/classrooms/1/ \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN"
import requests
headers = {"Authorization": "Bearer YOUR_ACCESS_TOKEN"}
response = requests.get(
"https://api.chessplay.io/api/v1/classrooms/1/",
headers=headers
)
classroom = response.json()
const response = await fetch('https://api.chessplay.io/api/v1/classrooms/1/', {
headers: { 'Authorization': 'Bearer YOUR_ACCESS_TOKEN' }
});
const classroom = await response.json();
{
"id": 1,
"name": "Beginner Chess",
"description": "Introduction to chess",
"coach": {...},
"students": [...],
"start_time": "2024-01-20T10:00:00Z",
"end_time": "2024-01-20T11:00:00Z",
"created": "2024-01-15T10:30:00Z"
}
Was this page helpful?
⌘I

